%define oname	pymetar
  
Name:		python-%{oname}
Version:	0.15
Release:	%mkrel 3
Summary:	Weather report Python module
Group:		Development/Python
License:	GPLv2+
URL:		http://www.schwarzvogel.de/software-pymetar.shtml
Source0:	http://www.schwarzvogel.de/pkgs/%{oname}-%{version}.tar.xz
Patch0:     pymetar-0.15-fix-installation.patch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python 
BuildArch:	noarch 
BuildRoot:	%{_tmppath}/%{name}-%{version}
  
%description 
This library downloads the weather report for a given station ID,
decodes it and provides easy access to all the data found in the
report.
  
%prep
%setup -q -n %{oname}-%{version}
%patch0 -p 1
  
%build 
  
%install 
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --compile --optimize=2
rm -rf %{buildroot}%{_docdir}

%clean 
rm -rf %{buildroot}
  
%files  
%defattr(-,root,root,-) 
%doc README THANKS librarydoc.txt
%{_bindir}/weather.py
%{py_puresitedir}/%{oname}.py*
%{py_puresitedir}/%{oname}-%{version}-py%{pyver}.egg-info



%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.15-1pclos2010
- update package

